from kivy_garden.mapview import MapMarkerPopup
from treepopupmenu import TreePopupMenu

class TreeMarker(MapMarkerPopup):
    tree_data = []
        
    def on_release(self):
        # Open the TreePopupMenu
        menu = TreePopupMenu(self.tree_data)
        menu.size_hint = [.8, .9]
        menu.open()
